Bug 258261 - www/closure-compiler: update to 20210808 and take ownership
Summary: www/closure-compiler: update to 20210808 and take ownership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-03 22:15 UTC by Bryan Frimin
Modified: 2021-09-17 07:07 UTC (History)
1 user (show)

See Also:


Attachments
closure-compiler-20210808.diff (2.10 KB, patch)
2021-09-03 22:15 UTC, Bryan Frimin
no flags Details | Diff
Update closure-compiler with the right JAVA version (1.91 KB, patch)
2021-09-06 15:38 UTC, Bryan Frimin
no flags Details | Diff
freebsd 13.0 poudriere test logs (19.10 KB, text/plain)
2021-09-06 16:21 UTC, Bryan Frimin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bryan Frimin 2021-09-03 22:15:53 UTC
Created attachment 227654 [details]
closure-compiler-20210808.diff

- Update to 20210808
- Take ownership of the port
Comment 1 Bryan Frimin 2021-09-06 15:38:32 UTC
Created attachment 227712 [details]
Update closure-compiler with the right JAVA version
Comment 2 Bryan Frimin 2021-09-06 15:46:32 UTC
The first patch is not relevant as it not use the right JAVA version.
Comment 3 Bryan Frimin 2021-09-06 16:21:25 UTC
Created attachment 227713 [details]
freebsd 13.0 poudriere test logs

Pourdriere test logs
Comment 4 Bryan Frimin 2021-09-06 16:24:36 UTC
I install and test the package locally it work well.
Comment 5 Li-Wen Hsu freebsd_committer 2021-09-17 07:07:06 UTC
 Committed, with minor modifications to pet portclippy.
Comment 6 commit-hook freebsd_committer 2021-09-17 07:07:28 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7b37eb2f207d1aae62892eb6548bc0459219fd3f

commit 7b37eb2f207d1aae62892eb6548bc0459219fd3f
Author:     Bryan Frimin <bryan@frimin.fr>
AuthorDate: 2021-09-17 07:04:24 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-09-17 07:04:24 +0000

    www/closure-compiler: Update to 20210808 and take maintainership

    PR:             258261

 www/closure-compiler/Makefile | 25 +++++++++++++++----------
 www/closure-compiler/distinfo |  6 +++---
 2 files changed, 18 insertions(+), 13 deletions(-)